package cz.upol.pja.lecture06.clients;

import cz.upol.pja.lecture06.HelloService;
import cz.upol.pja.lecture06.HelloService_Service;
import cz.zcu.stag_ws.PredmetyService;
import java.net.MalformedURLException;
import java.net.URL;
import java.util.logging.Level;
import java.util.logging.Logger;
import javax.enterprise.context.RequestScoped;
import javax.inject.Named;
import javax.xml.ws.WebServiceRef;
import javax.xml.namespace.QName;
import javax.xml.ws.Service;


@RequestScoped
@Named("hello")
public class HelloCtl {
    
    @WebServiceRef(HelloService_Service.class)
    private HelloService helloService;
    
    private String text = "developers";
    private String output = "";
    
    public void sayHello() {
        output = helloService.hello(text);
    }
    
    public void sayItThreeTimes() {
        try {
            URL wsdl = new URL("http://localhost:8080/lecture06/HelloService?wsdl");
            QName serviceName = new QName("http://lecture06.pja.upol.cz/", "HelloService");

            Service service = Service.create(wsdl, serviceName);
            HelloService helloService = service.getPort(HelloService.class);
            output = helloService.repeat(text, 3);
        } catch (MalformedURLException ex) {
            Logger.getLogger(HelloCtl.class.getName()).log(Level.SEVERE, null, ex);
        }
    }

    public String getText() {
        return text;
    }

    public void setText(String text) {
        this.text = text;
    }

    public String getOutput() {
        return output;
    }

    public void setOutput(String output) {
        this.output = output;
    }
}
